#ifndef __RATIO_H__
#define __RATIO_H__

#include "SDL.h"

typedef struct fraction
{
  int numerator;
  unsigned int denominator;
} fraction;

#define RATIO_MUL(x,r) (((x)*((r)->numerator))/((r)->denominator))
#define RATIO_DIV(x,r) (((x)*((r)->denominator))/((r)->numerator))

/* Like x *= r, where x is an integer and r is a fraction */
#define RATIO_MUL_EQ(x,r) do { (x) = RATIO_MUL((x),(r)); } while(0)
/* like x /= r, where x is an integer and r is a fraction */
#define RATIO_DIV_EQ(x,r) do { (x) = RATIO_DIV((x),(r)); } while(0)

void ratio_mul(const fraction *a, SDL_Rect *area);
void ratio_div(const fraction *a, SDL_Rect *area);
int ratio_greater(const fraction *a, const fraction *b);

#endif/*__RATIO_H__*/
